--[[ 
======================================================================
FG Copyright: 'Fantasy Grounds' is a trademark of SmiteWorks Ltd. 
 2004-2014 SmiteWorks Ltd. ALL RIGHTS RESERVED.
All other copyrights and trademarks are the property of their respective owners.
======================================================================
--]]

-- -------------------------------------------------------------------
-- Constants
-- NOTE: Since Lua does not support immutable constants, they are going in a table
-- Alternately, they could be declared as individual local variables 
-- of any scope, albeit with chaotic code maintenance. Hopefully, this way
-- is still quick, maintainable, and self-documenting
-- -------------------------------------------------------------------
local const = {
	ABOUT_STR = "Fantasy Grounds Theme Extension - Space Mech\r\nTheme by Damned. More great resources at \r\nhttp://www.fg-con.com ",
	LINK_STR = "http://www.fg-con.com",
	ABOUT_FONT = "emotefont",										-- about font
	ABOUT_ICON_NAME = "damned",							-- about icon
	DOUBLE_SPACE = '\n\n',
	RETURN = '\r\n',
}


-- -------------------------------------------------------------------
-- Function: mlDoAbout
-- Description: show the extension about text
-- Params: launch: true if sending the launch message
-- Returns: N/A
-- -------------------------------------------------------------------
local function extDoAbout(isLaunch)
	local msg = {sender = "", font = const.ABOUT_FONT,icon=const.ABOUT_ICON_NAME};
	msg.text = const.ABOUT_STR;
	if (isLaunch) then
		ChatManager.registerLaunchMessage(msg);
	else 
		Comm.addChatMessage(msg);
	end
end


-- -------------------------------------------------------------------
-- Function: onInit
-- Description: the FG extension primary init routine -- GLOBAL / EXTERNAL
-- Params: N/A
-- Returns: N/A
-- -------------------------------------------------------------------
function onInit()
	-- initVars();											-- initialize defaults
	-- printDebug("onInit");
	-- Comm.registerSlashHandler("ml", doMoodLighting);	-- install our handler
	extDoAbout(true);									-- show launch version info
end

-- -------------------------------------------------------------------

